Subject: Reminder: IETF 90 important dates

From: Jeffrey Haas <[email-masked]>
Date: Mon, 30 Jun 2014 11:57:33 -0400

2014-07-04 (Friday): Internet Draft submission cut-off (for all drafts,
including -00) by UTC 23:59, upload using IETF ID Submission Tool.

If you're presenting, you're expected to have a draft posted. :-)

-- Jeff